<!DOCTYPE html>
<html>

<head>
    <title></title>
    <meta charset="UTF-8">
    <!-- CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
    <link rel="stylesheet" href="../css/LineStopItemRelated.css">
    <link rel="stylesheet" href="../css/LineStopItemOperetionStatusSlection.css">
    <link rel="stylesheet" href="../css/custerm.css">
    <link rel="stylesheet" href="../css/ConfirmationList.css">
    <link rel="stylesheet" href="../css/denpyoKensaku.css">
    <link rel="stylesheet" href="../css/ConservationPlan.css">
    <link rel="stylesheet" href="../css/ProductionControlBoard.css">
    <link rel="stylesheet" href="../css/ProductivityTransitionGraph.css">

    <!-- scripts + json -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://d3js.org/d3.v6.min.js"></script>
    <script type="text/javascript" src="../json/TRN_LineOperation.json" charset="shift_jis"></script>
    <script type="text/javascript" src="../js/LineStopItemOperetionStatusSlection.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js"></script> -->

    <script type="text/javascript" src="../js/w3.js"></script>

    <!-- sort icon -->
    <script src="https://kit.fontawesome.com/4f23aaf432.js" crossorigin="anonymous"></script>

    <!-- <link rel="stylesheet" href="../css/custerm.css"> -->
</head>

<body>
    <div style="z-index: 2; width: 100%; background-color: #ffff; top: 0; height: 44px; position: fixed;">
        <label class="hooverColor"
            style="margin-top: 9px; margin-left: 25px; font-size: 13px; font-weight: bold;">生産性推移グラフ
        </label>
    </div>

    <div class="div1" style="margin-top: 35px;">
        <label class="textColorBlue textHeader mt-0" style="margin-left: 25px;">工場　：　四国工場-中央製造所</label>
        <label class="textColorBlue textHeader mt-0" style="margin-left: 50px;">号機　：　10号機 </label>
        <label class="textColorBlue textHeader mt-0" style="margin-left: 100px;">グループ　：　1G </label>
        <input class="float-right mr-3 refesh-btn" type="image" src="../Icons/refesh.png" onclick="refeshButton()" />
    </div>

    <div class="row ml-0 divTabletMode" id="wrap-graph">
        <div class="w-100">
            <button type="button" class="btn btn-primary myBtn1 buttonSize" data-toggle="modal" data-target="#myModal"
                style="margin-left: 1%;" id="togglePopup" onclick="settingButton()">
                設定
            </button>
            <button type="button" class="btn btn-primary float-right mr-3 myBtn1 buttonSize" data-toggle="modal"
                data-target="#myModal" style="margin-left: 1%;" id="csvButton" onclick="outputCSV()">
                CSV出力
            </button>
        </div>

        <div class="d-flex flex-column" id="lineGraph" style="width: 100%; height:100%">
            <div class="mt-1 ml-3">
                <section class="tab_contents">
                    <div class="tab_wrap">
                        <input id="tab1" type="radio" name="check" value="1">
                        <label for="tab1" class="tab_lab1" onclick="changeRad1()" id="#label1">直当たりPs数</label>
                        <input id="tab2" type="radio" name="check" value="2">
                        <label for="tab2" class="tab_lab2" onclick="changeRad2()" id="#label2">可動率</label>
                        <input id="tab3" type="radio" name="check" value="3">
                        <label for="tab3" class="tab_lab3" onclick="changeRad3()" id="#label3">Loss率</label>
                    </div>
                </section>
            </div>

            <div class="row p-0 ml-3 mr-3 h-80 w-90 wrap-graph" id="lineGraph1" style="height: 100%;"></div>
            <div class="row p-0 ml-3 mr-3 h-80 w-90 wrap-graph" id="lineGraph2" style="height: 100%;"></div>
            <div class="row p-0 ml-3 mr-3 h-80 w-90 wrap-graph" id="lineGraph3" style="height: 100%;"></div>
        </div>

        <div class="div5">
            <button type="button" class="btn myBtn1 buttonSize" id="modoru_button"
                style="margin-left: 1%; margin-top: 0.8%;" onclick="directBack()">戻る
            </button>
        </div>
    </div>
    <div id="myModal_choukiteishi" style="display: block;">
        <div class="modal-content_chokotei" id="modal_content_memo" style="display: none;">
            <div class="div2 mt-0 text-left pt-5">
                <div class="divTableKensaku w-90">
                    <div id="denlist" style="display: table;width: 100%; margin: auto;">
                        <div class="d_list">
                            <div class="denpyoKensakuArea shosaiMode" id="test123">
                                <table style="padding-left: 50px; margin-left: 7%; width:100%; height: 300px;">
                                    <tbody>
                                        <tr>
                                            <td class="">
                                                <table cellpadding="0" cellspacing="0"
                                                    class="tabGroup d_table_contents tableKensaku ml-0 h-100" border="1"
                                                    rules="all">
                                                    <tbody class="d_kani_kensaku_area">
                                                        <tr style="width: 100%;">
                                                            <td class="tdHeadTableKensaku"
                                                                style="width: 15%; min-width: 170px;padding-left: 15px;">
                                                                日付
                                                            </td>
                                                            <td class="tdBodyTableKensaku">
                                                                <input type="text"
                                                                    class="selectDateTime selectFontSize inputLeftMargin"
                                                                    id="datepicker1" name="dateTime1" data-date=""
                                                                    data-date-format="YYYY/MM/DD" readonly
                                                                    autocomplete="off">
                                                                <i class="fa fa-calendar icon-date-1"
                                                                    aria-hidden="true"></i>
                                                                <label class="textColorHeader ml-3">~</label>
                                                                <input type="text"
                                                                    class="selectDateTime selectFontSize inputLeftMargin"
                                                                    id="datepicker2" name="dateTime2" data-date=""
                                                                    data-date-format="YYYY/MM/DD" readonly
                                                                    autocomplete="off">
                                                                <i class="fa fa-calendar icon-date-2"
                                                                    aria-hidden="true"></i>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="tdHeadTableKensaku" style="padding-left: 15px;">
                                                                設備
                                                            </td>
                                                            <td class="tdBodyTableKensaku">
                                                                <select name="select1" id="select1"
                                                                    class="selectSmall selectFontSize inputLeftMargin">
                                                                    <option id="optionShift1" value="0"
                                                                        style="display: none;"></option>
                                                                    <option id="optionShift2" value="1" selected>１号機</option>
                                                                    <option id="optionShift2" value="2">２号機</option>
                                                                    <option id="optionShift2" value="3">３号機</option>
                                                                    <option id="optionShift2" value="4">４号機</option>
                                                                    <option id="optionShift2" value="5">５号機</option>
                                                                    <option id="optionShift2" value="6">６号機</option>
                                                                    <option id="optionShift2" value="7">７号機</option>
                                                                    <option id="optionShift2" value="8">８号機</option>
                                                                    <option id="optionShift2" value="9">９号機</option>
                                                                    <option id="optionShift2" value="10">１０号機</option>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="tdHeadTableKensaku" style="padding-left: 15px;">
                                                                グラフ表示
                                                            </td>
                                                            <td class="tdBodyTableKensaku">
                                                                <select name="select2" id="select2"
                                                                    class="selectSmall selectFontSize inputLeftMargin">
                                                                    <option id="optionShift3" value="1">１時間</option>
                                                                    <option id="optionShift4" value="2">３０分</option>
                                                                    <option id="optionShift5" value="3">１０分</option>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="tdHeadTableKensaku" style="padding-left: 15px;">
                                                                可動率[Y軸]
                                                            </td>
                                                            <td class="tdBodyTableKensaku">
                                                                目標値：<span id="number1"></span> +
                                                                <select name="select1" id="select3"
                                                                    class="selectSmall selectFontSize inputLeftMargin">
                                                                    <option id="optionShift1" value="0">0</option>
                                                                    <option id="optionShift1" value="10">10</option>
                                                                    <option id="optionShift1" value="20">20</option>
                                                                    <option id="optionShift1" value="30">30</option>
                                                                    <option id="optionShift1" value="40">40</option>
                                                                    <option id="optionShift1" value="50">50</option>
                                                                    <option id="optionShift1" value="60">60</option>
                                                                    <option id="optionShift1" value="70">70</option>
                                                                    <option id="optionShift1" value="80">80</option>
                                                                    <option id="optionShift1" value="90">90</option>
                                                                    <option id="optionShift1" value="100">100</option>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="tdHeadTableKensaku" style="padding-left: 15px;">
                                                                Loss率[Y軸]
                                                            </td>
                                                            <td class="tdBodyTableKensaku">
                                                                目標値：<span id="number2"></span> +
                                                                <select name="select2" id="select4"
                                                                    class="selectSmall selectFontSize inputLeftMargin">
                                                                    <option id="optionShift2" value="0">0</option>
                                                                    <option id="optionShift2" value="10">10</option>
                                                                    <option id="optionShift2" value="20">20</option>
                                                                    <option id="optionShift2" value="30">30</option>
                                                                    <option id="optionShift2" value="40">40</option>
                                                                    <option id="optionShift2" value="50">50</option>
                                                                    <option id="optionShift2" value="60">60</option>
                                                                    <option id="optionShift2" value="70">70</option>
                                                                    <option id="optionShift2" value="80">80</option>
                                                                    <option id="optionShift2" value="90">90</option>
                                                                    <option id="optionShift2" value="100">100</option>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                    <tbody id="denpyoKensakuInputArea"
                                                        class="shosaiKensakuArea d_shosai_kensaku_area">

                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="d_clearBoth"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="">
                <button type="button" class="btn btn-primary myBtn1 buttonSize" data-toggle="modal"
                    data-target="#myModal" style="margin-left: 1%;" id="togglePopup1">
                    戻る
                </button>
                <button type="button" class="btn myBtn1 buttonSize" style="float: right; margin-right: 22px;"
                    id="togglePopup2">
                    設定
                </button>
            </div>

        </div>
    </div>



</body>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/ProductivityTransitionGraph.js"></script>

<script>

</script>


</html>